detekt-api
1.21.0-RC2

# HasEntity

interface HasEntity
Content copied to clipboard

Describes a source code position.

## Properties

charPosition
Link copied to clipboard
open val charPosition : TextLocation
Content copied to clipboard
entity
Link copied to clipboard
abstract val entity : Entity
Content copied to clipboard
file
Link copied to clipboard
open val file : String
Content copied to clipboard
location
Link copied to clipboard
open val location : Location
Content copied to clipboard
signature
Link copied to clipboard
open val signature : String
Content copied to clipboard
startPosition
Link copied to clipboard
open val startPosition : SourceLocation
Content copied to clipboard

## Inheritors

Finding
Link copied to clipboard